local frame = CreateFrame("FRAME");
frame:RegisterEvent("VARIABLES_LOADED");

-- BEGIN USER OPTIONS --
local InterfaceName  = "S3lim v 8.1" -- Name to describe your UI
local ProfileName = "s3lim" -- Addon profile name to use with /reflux switch

local UseClassProfiles = false	-- Use specific profile names for different classes

-- END USER OPTIONS --

local LocalizedMessages = {
	["enUS"] = {
		[1] = "|cff00deff%s|r\n\n Type |cffffcc00 /msbt  |r  \n  &  \n |cffffcc00 /acb  \n  select profile |cffffcc00s3lim|r  & your are good to go !\n\n",
		[2] = "Yes",
		[3] = "No",
	},
}


local CID, CE, HasAdded = "", false, false

local function AddChar()
  if (CID ~= "") and not HasAdded then 
    tinsert(nibPLNames, CID)
	HasAdded = true
  end
end

local function CharAnswered(ans)
  AddChar()
  if ans then
	local _, class = UnitClass("player")
	local NewProfile = UseClassProfiles and ClassProfiles[class] or ProfileName
    local RefluxArg = string.format("%s %s", "switch", NewProfile)
    SlashCmdList.REFLUX(RefluxArg) -- This will cause a UI reload
  end
end

local function AskNewChar()
  local Locale = GetLocale() or "enUS"
  local MsgTexts = LocalizedMessages[Locale] or LocalizedMessages["enUS"]
  StaticPopupDialogs["PUDASKNEWCHAR"] = {
    text = MsgTexts[1],
    button1 = MsgTexts[2],
    button2 = MsgTexts[3],
    OnAccept = function()
      CharAnswered(true)
    end,
	OnCancel = function()
	  CharAnswered(false)
	end,
    timeout = 0,
    whileDead = true,
    hideOnEscape = false,
	notClosableByLogout = true,
  }
  StaticPopup_Show ("PUDASKNEWCHAR", InterfaceName);
end

local function CheckNewChar()
  CID = string.format("%s - %s", GetRealmName(), UnitName("player"))
  CE = false
  if (nibPLNames == nil) then nibPLNames = { }; end
  for i,v in pairs(nibPLNames) do
	if (v == CID) then CE = true; end
  end
  if not CE then AskNewChar(); end
end 

local function eventHandler(self, event, ...)
  if (event == "VARIABLES_LOADED") then
    CheckNewChar()
  end
end
frame:SetScript("OnEvent", eventHandler);